complexType "Swaption"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 10 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, premium*, optionType?, exercise, swaptionStraddle, swap
</...>

Content Model Elements (10):

  embeddedOptionType, exercise, optionType (in swaption), premium (in swaption), primaryAssetClass (defined in Product.model group), | productId, productType (defined in Product.model group), secondaryAssetClass, swap (in swaption), swaptionStraddle

All Direct / Indirect Based Elements (1):

  swaption

Known Usage Locations

- As direct type of elements (1):
  swaption

Annotation
A type to define an option on a swap.
Type Definition Detail

Type Derivation Tree Product (extension) Swaption

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="Swaption"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <!--View Generation: SKIPPED - PartySpecific--> <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="Payment"/> <xsd:element minOccurs="0" name="optionType" type="SwaptionTypeEnum"/> <xsd:element ref="exercise"/> <!--View Generation: SKIPPED exerciseProcedure - Documentation--> <!--View Generation: SKIPPED calculationAgent - Documentation--> <!--View Generation: Skipped an empty choice.--> <xsd:element name="swaptionStraddle" type="xsd:boolean"/> <!--View Generation: SKIPPED swaptionAdjustedDates - DateAdjustments--> <xsd:element name="swap" type="Swap"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/10)
exercise

  Type: | Exercise, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 3 elements

  XML Source (see within schema source)

  <xsd:element ref="exercise"/>

optionType

  Type: | SwaptionTypeEnum, simple content

  The type of option transaction. From a usage standpoint, put/call is the default option type, while payer/receiver indicator is used for options index credit default swaps, consistently with the industry practice. Straddle is used for the case of straddle strategy, that combine a call and a put with the same strike. This element is needed for transparency reporting because the counterparties are not available, and is made available in other views for convenience; it is not intended to be used for confirmation processing. If the swaption straddle indicator is provided, this must not be in conflict with that indicator.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Payer" | - | A Payer swaption confers on the buyer the right, but not the obligation, to enter into the underlying swap as payer of the fixed rate (and receiver of the floating rate). See: http://www.FpML.org
  "Receiver" | - | A Receiver swaption confers on the buyer the right, but not the obligation, to enter into the underlying swap as receiver of the fixed rate (and payer of the floating rate). See: http://www.FpML.org
  "Straddle" | - | A swaption straddle is a strategy trade, in which the buyer simultaneously purchases a Payer and a Receiver swaption at the same strike (fixed rate) and with otherwise identical economic characteristics. See: http://www.FpML.org
  "NonStandard" | - | This designation is reserved for swaptions with non-standard characteristics e.g. having a basis swap or cross-currency swap underlyer. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionType" type="SwaptionTypeEnum"/>

premium

  Type: | Payment, complex content

  The option premium amount payable by buyer to seller on the specified payment date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="premium" type="Payment"/>

swap

  Type: | Swap, complex content

  XML Source (see within schema source)

  <xsd:element name="swap" type="Swap"/>

swaptionStraddle

  Type: | xsd:boolean, predefined, simple content

  Whether the option is a swaption or a swaption straddle.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="swaptionStraddle" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.